// Copyright 2019-present the Material Components for iOS authors. All Rights Reserved.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
// http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

/** Width of an MDCBottomNavigationBar on an iPad. */
static const CGFloat MDCBottomNavigationBarTestWidthiPad = 1024;

/** Typical width for an MDCBottomNavigationBar. */
static const CGFloat MDCBottomNavigationBarTestWidthTypical = 360;

/** Typical height for an MDCBottomNavigationBar. */
static const CGFloat MDCBottomNavigationBarTestHeightTypical = 56;

/** An Arabic-character title that could reasonably fit in a Bottom Navigation item. */
static NSString *const MDCBottomNavigationTestShortTitleArabic = @"ما تنفّس.";

/** A Latin-character title that could reasonably fit in a Bottom Navigation item. */
static NSString *const MDCBottomNavigationTestBadgeTitleLatin = @"888+";

/** A Latin-character title too long to fit in a Bottom Navigation item. */
static NSString *const MDCBottomNavigationTestLongTitleLatin =
    @"123456789012345678901234567890123456789012345678901234567890";

/** An Arabic-character title too long to fit in a Bottom Navigation item. */
static NSString *const MDCBottomNavigationTestLongTitleArabic =
    @"دول السيطرة استطاعوا ٣٠. مليون وفرنسا أوراقهم انه تم, نفس قد والديون العالمية. دون ما تنفّس.";

/** An Arabic-character title that could reasonably fit in a Bottom Navigation item. */
static NSString *const MDCBottomNavigationTestBadgeTitleArabic = @"أورا";
